MailRecipientResource (consumer-service 1.9.0-2.17.2 API)
Date: 2014-01-30

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.messaging.common.consumer.mail
Class MailRecipientResource

    java.lang.Object
      org.gcube.common.core.utils.handlers.GCUBEHandler<MailRecipientHelper>
          org.gcube.messaging.common.consumer.mail.MailRecipientResource

All Implemented Interfaces:
  org.gcube.common.core.utils.handlers.GCUBEIHandler<MailRecipientHelper>

    public class MailRecipientResource

extends org.gcube.common.core.utils.handlers.GCUBEHandler<MailRecipientHelper>

The Mail Recipients resource

Author:
  Andrea Manzi

Field Summary
`protected org.gcube.common.core.utils.logging.GCUBELog` | `logger` Object logger

Fields inherited from class org.gcube.common.core.utils.handlers.GCUBEHandler
`handled, producer`

Constructor Summary
`MailRecipientResource(org.gcube.common.core.scope.GCUBEScope scope)` The constructor

Method Summary
`String` | `get()` Get the resource Profile body
`org.gcube.common.core.resources.GCUBEResource` | `getResource()` The Resource profile
`void` | `run()`

Methods inherited from class org.gcube.common.core.utils.handlers.GCUBEHandler
`clearBlackboard, getBlackboard, getHandled, getId, getLogger, getName, getScopeManager, getSecurityManager, getState, notify, setBlackboard, setHandled, setLogger, setName, setScopeManager, setSecurityManager, setState, subscribe, undo, unsubscribe`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected final org.gcube.common.core.utils.logging.GCUBELog logger

  Object logger

Constructor Detail

### MailRecipientResource

    public MailRecipientResource(org.gcube.common.core.scope.GCUBEScope scope)
                          throws Exception

  The constructor

  Parameters:
    `scope` - the scope
  Throws:
    `Exception`

Method Detail

### run

    public void run()
             throws Exception

  Specified by:
    `run` in interface `org.gcube.common.core.utils.handlers.GCUBEIHandler<MailRecipientHelper>`
  Specified by:
    `run` in class `org.gcube.common.core.utils.handlers.GCUBEHandler<MailRecipientHelper>`
  Throws:
    `Exception`

### get

    public String get()
               throws Exception

  Get the resource Profile body

  Returns:
    The String Representation of the profile body
  Throws:
    `Exception` - Exception

### getResource

    public org.gcube.common.core.resources.GCUBEResource getResource()

  The Resource profile

  Returns:
    the resource profile

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.